---
title: '<code>: The Inline Code element'
slug: Web/HTML/Element/code
tags:
  - Code
  - Element
  - HTML
  - HTML text-level semantics
  - Inline Code
  - Reference
  - Web
---
<div>{{HTMLRef}}</div>

<p id="Summary"><span class="seoSummary">The <strong>HTML <code>&lt;code&gt;</code> element</strong> displays its contents styled in a fashion intended to indicate that the text is a short fragment of computer code.</span> By default, the content text is displayed using the {{Glossary("user agent", "user agent's")}} default monospace font.</p>

<div>{{EmbedInteractiveExample("pages/tabbed/code.html", "tabbed-shorter")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">Flow content</a>, <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">phrasing content</a>, palpable content.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">Phrasing content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>{{no_tag_omission}}</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>Any element that accepts <a href="/en-US/docs/Web/Guide/HTML/Content_categories#Phrasing_content">phrasing content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Implicit ARIA role</th>
   <td><a href="https://www.w3.org/TR/html-aria/#dfn-no-corresponding-role">No corresponding role</a></td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>Any</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{domxref("HTMLElement")}} Up to Gecko 1.9.2 (Firefox 4) inclusive, Firefox implements the {{domxref("HTMLSpanElement")}} interface for this element.</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>This element only includes the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<h2 id="Example">Example</h2>

<p>A paragraph of text that includes <code>&lt;code&gt;</code>:</p>

<pre class="brush: html notranslate">&lt;p&gt;The function &lt;code&gt;selectAll()&lt;/code&gt; highlights all the text in the
input field so the user can, for example, copy or delete the text.&lt;/p&gt;
</pre>

<p>The output generated by this HTML looks like this:</p>

<p>{{EmbedLiveSample("Example", 640, 70)}}</p>

<h2 id="Notes">Notes</h2>

<p>To represent multiple lines of code, wrap the <code>&lt;code&gt;</code> element within a {{HTMLElement("pre")}} element. The <code>&lt;code&gt;</code> element by itself only represents a single phrase of code or line of code.</p>

<p>A CSS rule can be defined for the <code>code</code> selector to override the browser's default font face. Preferences set by the user might take precedence over the specified CSS.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'semantics.html#the-code-element', '&lt;code&gt;')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'textlevel-semantics.html#the-code-element', '&lt;code&gt;')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML4.01', 'struct/text.html#h-9.2.1', '&lt;code&gt;')}}</td>
   <td>{{Spec2('HTML4.01')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.code")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTMLElement("samp")}}</li>
 <li>{{HTMLElement("kbd")}}</li>
 <li>{{HTMLElement("command")}} (deprecated)</li>
 <li>{{HTMLElement("var")}}</li>
 <li>{{HTMLElement("pre")}}</li>
</ul>
